# RPM Spec file for mod_pkcs12

Name:      mod_pkcs12
Version:   0.2.3
Release:   1%{?dist}
Summary:   Redwax Apache PKCS12 generator module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://archive.redwax.eu/dist/rs/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://redwax.eu/rs/
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), pkgconfig(openssl), mod_ca-devel
%if 0%{?is_opensuse}
BuildRequires: apache2-devel
Requires: apache2
%else
%if 0%{?mgaversion}
BuildRequires: apache-devel
Requires: apache
%else
BuildRequires: httpd-devel
Requires: httpd
%endif
%endif

%if 0%{?is_opensuse}
%define moduledir %{_libdir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%endif

%description
The Apache mod_pkcs12 module provides a mechanism to create certificates from
form parameters and return the certificate and key as a PKCS12 bundle.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{moduledir}/%{name}.so


